%define wwwdir /var/www
%define name awstats
%define version 5.2

# For Mandrake
#%define release 1mdk
# For all other distrib
%define release 2

Name: %{name}
Summary: Advanced Web Statistics is a free powerful and featureful server log file analyzer.
Version: %{version}
Release: %{release}
License: GPL
# For Mandrake
#Group: Networking/WWW
# For all other distrib
Group: Applications/Internet
Source0: http://prdownloads.sourceforge.net/awstats/awstats-%{version}.tgz
Source1: awstats-cron
Patch: awstats.diff
URL: http://awstats.sourceforge.net/
BuildRoot: /tmp/%{name}-buildroot
BuildArch: noarch
Requires: perl, perl-GeoIP, perl-Time-HiRes, perl-Storable

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique vistors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%prep
%setup -q
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/awstats/lang
mkdir -p $RPM_BUILD_ROOT%{_datadir}/awstats/lib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/awstats/plugins/example
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/cgi-bin
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/browser
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/clock
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/cpu
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/flags
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/os
mkdir -p $RPM_BUILD_ROOT%{wwwdir}/html/icon/other
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/awstats

install -m 755 tools/logresolvemerge.pl $RPM_BUILD_ROOT%{_bindir}/logresolvemerge.pl
install -m 755 tools/awstats_buildstaticpages.pl $RPM_BUILD_ROOT%{_bindir}/awstats_buildstaticpages.pl
#install -m 755 tools/awstats_exportlib.pl $RPM_BUILD_ROOT%{_bindir}/awstats_exportlib.pl
install -m 755 tools/awstats_updateall.pl $RPM_BUILD_ROOT%{_bindir}/awstats_updateall.pl
install -m 755 wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{wwwdir}/cgi-bin/awstats.pl
install -m 755 wwwroot/cgi-bin/lib/* $RPM_BUILD_ROOT%{_datadir}/awstats/lib
install -m 755 wwwroot/cgi-bin/plugins/*.pm $RPM_BUILD_ROOT%{_datadir}/awstats/plugins
install -m 755 wwwroot/cgi-bin/plugins/example/* $RPM_BUILD_ROOT%{_datadir}/awstats/plugins/example
install -m 644 wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT%{_sysconfdir}/awstats.conf
install -m 444 wwwroot/icon/browser/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/browser
install -m 444 wwwroot/icon/clock/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/clock
install -m 444 wwwroot/icon/cpu/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/cpu
install -m 444 wwwroot/icon/flags/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/flags
install -m 444 wwwroot/icon/os/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/os
install -m 444 wwwroot/icon/other/* $RPM_BUILD_ROOT%{wwwdir}/html/icon/other
install -m 444 wwwroot/cgi-bin/lang/* $RPM_BUILD_ROOT%{_datadir}/awstats/lang
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/00awstats

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT docs/*
%config %{_sysconfdir}/awstats.conf
%{_sysconfdir}/cron.hourly/00awstats
%{_bindir}/*
%{_datadir}/*
%{_localstatedir}/lib/awstats
%{wwwdir}/cgi-bin/*
%{wwwdir}/html/*

%changelog
* Wed Dec 11 2002 Ian Macdonald <ian@caliban.org> 5.2-2
- install in FHS locations
- use macros in spec file
- add Requires for Perl and its modules
- rewrote chunks of .spec file
- added cron job

* Tue Nov 16 2002 Laurent Destailleur <eldy@users.sourceforge.net>
- Added awstats_exportlib.pl tool.
- Fixed: Bad documentation for use of ExtraSection.
- Fixed: Bug in ValidSMTPCodes parameter.
- Added a memory cache for GeoIP plugin resolution.
- Added awstats_logo3.png
- Fixed: Remove AWStats header on left frame if ShowHeader=0.
- Added X11 as Unknown Unix OS, and Atari OS.
